|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Files | Functions
PWM Configuration
Power Control

Contains functions related to PWM properties. More...

Collaboration diagram for PWM Configuration:

## Files
file | pwrctrl_pwm.c
| Contains DAB control phase calculation between primary and secondary, and the PWM distribution.
file | pwrctrl_pwm.h
| Contains public functions for PWM.

## Functions
void | PwrCtrl_PWM_Update (POWER_CONTROL_t *pcInstance)
| PWM distribution for DAB converter.
void | PwrCtrl_PWM_Enable (void)
| Enable the PWM output.
void | PwrCtrl_PWM_Disable (void)
| Disable the PWM output.

## Detailed Description

This document includes the power control PWM distribution and other PWM functionalities relevant to the application.

## Function Documentation

## ◆ PwrCtrl_PWM_Disable()

void PwrCtrl_PWM_Disable | ( | void |  | ) |

Parameters

  pcInstance | Pointer to a power control data object of type POWER_CONTROL_t

Returns
  void

This function disable the physical PWM output by setting the override bits of the PWM module.

Definition at line 127 of file pwrctrl_pwm.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ PwrCtrl_PWM_Enable()

void PwrCtrl_PWM_Enable | ( | void |  | ) |

Parameters

  pcInstance | Pointer to a power control data object of type POWER_CONTROL_t

Returns
  void

This function turn on the physical PWM outputs by clearing the output override of the PWM module.

Definition at line 97 of file pwrctrl_pwm.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ PwrCtrl_PWM_Update()

void PwrCtrl_PWM_Update | ( | POWER_CONTROL_t * | pcInstance | ) |

Parameters

  pcInstance | Pointer to a power control data object of type POWER_CONTROL_t

Returns
  void

This function distributes the calculated control phase for the half bridges of the DAB converter. PWM1 and PWM3 drives the primary half bridges and PWM2 and PWM4 drives the secondary half bridges.

Definition at line 24 of file pwrctrl_pwm.c.

Here is the call graph for this function:
Here is the caller graph for this function: